Package com.logicaldoc.core.parser

# Class MarkdownParser

java.lang.Object
com.logicaldoc.core.parser.AbstractParser
com.logicaldoc.core.parser.HTMLParser
com.logicaldoc.core.parser.MarkdownParser

All Implemented Interfaces:
  `Parser`

public class MarkdownParser extends HTMLParser
Text extractor for the Markdown language.

Since:
  8.9.4
Author:
  Marco Meschieri - LogicalDOC

## Constructor Summary

Constructors
Constructor
Description
`MarkdownParser()`

## Method Summary

Modifier and Type
Method
Description
`void`
`internalParse(InputStream input, ParseParameters parameters, StringBuilder content)`

### Methods inherited from class com.logicaldoc.core.parser.AbstractParser

`countPages, countPages, parse, parse, parse, parse`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MarkdownParser

public MarkdownParser()

## Method Details

### internalParse

public void internalParse(InputStream input, ParseParameters parameters, StringBuilder content) throws ParsingException

Overrides:
  `internalParse` in class `HTMLParser`
Throws:
  `ParsingException`